DLADIV(3f)

NAME
DLADIV - complex division in real arithmetic a + i*b p + i*q = --------- c + i*d The algorithm is due to Robert L

SYNOPSIS

SUBROUTINE DLADIV(
    A, B, C, D, P, Q )

DOUBLE
    PRECISION A, B, C, D, P, Q

PURPOSE
DLADIV performs complex division in real arithmetic in D. Knuth, The art of Computer Programming, Vol.2, p.195

ARGUMENTS

A       (input) DOUBLE PRECISION
    B (input) DOUBLE PRECISION C (input) DOUBLE PRECISION D (input) DOUBLE PRECISION The scalars a, b, c, and d in the above expression.

P       (output) DOUBLE PRECISION
    Q (output) DOUBLE PRECISION The scalars p and q in the above expression.